Subject: Re: linux-next: build failure after merge of the slave-dma tree

From: Vinod Koul <[email-masked]>
Date: Tue, 9 Dec 2014 10:17:02 +0530

On Tue, Dec 09, 2014 at 02:48:17PM +1100, Stephen Rothwell wrote:
> Hi Vinod,
> 
> After merging the slave-dma tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
I did merge the next-20141208 wth this new code and pushed. Found and
resolved the same merg conflict as you :) Feng'd bot didn't
find any issues, so am wondering why :)

Neverthless, I am dropping these changes from next.

Thanks for reporting them

> drivers/spi/spi-atmel.c: In function 'atmel_spi_stop_dma':
> drivers/spi/spi-atmel.c:485:26: error: 'struct dma_device' has no member named 'device_control'
>    as->dma.chan_rx->device->device_control(as->dma.chan_rx,
>                           ^
> drivers/spi/spi-atmel.c:486:8: error: 'DMA_TERMINATE_ALL' undeclared (first use in this function)
>         DMA_TERMINATE_ALL, 0);
>         ^
> drivers/spi/spi-atmel.c:486:8: note: each undeclared identifier is reported only once for each function it appears in
> drivers/spi/spi-atmel.c:488:26: error: 'struct dma_device' has no member named 'device_control'
>    as->dma.chan_tx->device->device_control(as->dma.chan_tx,
>                           ^
> drivers/usb/musb/ux500_dma.c: In function 'ux500_configure_channel':
> drivers/usb/musb/ux500_dma.c:124:18: error: 'struct dma_device' has no member named 'device_control'
>   dma_chan->device->device_control(dma_chan, DMA_SLAVE_CONFIG,
>                   ^
> drivers/usb/musb/ux500_dma.c:124:45: error: 'DMA_SLAVE_CONFIG' undeclared (first use in this function)
>   dma_chan->device->device_control(dma_chan, DMA_SLAVE_CONFIG,
>                                              ^
> drivers/usb/musb/ux500_dma.c:124:45: note: each undeclared identifier is reported only once for each function it appears in
> drivers/usb/musb/ux500_dma.c: In function 'ux500_dma_channel_abort':
> drivers/usb/musb/ux500_dma.c:249:34: error: 'struct dma_device' has no member named 'device_control'
>    ux500_channel->dma_chan->device->
>                                   ^
> drivers/usb/musb/ux500_dma.c:251:6: error: 'DMA_TERMINATE_ALL' undeclared (first use in this function)
>       DMA_TERMINATE_ALL, 0);
>       ^
> 
> Caused by commit f86999789afe ("dmaengine: Remove device_control and
> device_slave_caps").
> 
> I have used the slave-dma tree from next-20141208 for today.

-- 
~Vinod